MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031944Open CASCADE[OCCT] OCCT:Foundation Classespublic2020-11-17 13:202020-12-19 15:22
Reporternds 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0031944: Foundation Classes, Message_Report - add missing mutex locks for message level
DescriptionIt should be possible to create a level in message report from different threads.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0097619)
git (administrator)
2020-12-15 21:03

Branch CR31944 has been created by nds.

SHA-1: 17079f16ff71f8292192824a9f0488b84c7d9b8f


Detailed log of new commits:

Author: nds
Date: Sat Oct 31 22:58:22 2020 +0300

    0031944: Foundation Classes - mutex for message level
    
    (cherry picked from commit 0f07a04a85dedd375a5383f3cb0031c0a6d6b329)
    (cherry picked from commit 1bd8dfa582a6181fea24dae206fa90745140d595)
    (cherry picked from commit deef4f37f49ce32ef3039255479cc8f2e922429c)
(0097622)
git (administrator)
2020-12-16 08:20

Branch CR31944 has been updated forcibly by nds.

SHA-1: 94dff5c4067a6c9898ae5678c3f20a6bfcc5d3e2
(0097623)
nds (developer)
2020-12-16 08:23

Dear Kirill,

could you please review.
Jenkins job is: http://jenkins-test-12.nnov.opencascade.com/view/CR31944-master-nds/. [^]

Best regards, Natalia
(0097632)
kgv (developer)
2020-12-16 12:06

No remarks to the patch, but please correct commit title to more descriptive (see updated bug title).
(0097635)
git (administrator)
2020-12-16 12:20

Branch CR31944 has been updated forcibly by nds.

SHA-1: 57af440d3b6ebd8bb2968b2205a2312f85dd92b3
(0097636)
nds (developer)
2020-12-16 12:21

Ready, please review again.

OCCT: CR31944
products: NONE
(0097747)
bugmaster (administrator)
2020-12-19 14:49

Combination -
OCCT branch : IR-2020-12-18
master SHA - 04114fd201c20efe9fbe85f00bec9a99ae3747ad
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-12-18 SHA - 290e5c74e8fef71947cadf90acb8e43c81ed10a1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17709.570000000054 / 17744.450000000124 [-0.20%]
Products
Total CPU difference: 12258.480000000121 / 12330.210000000125 [-0.58%]
Windows-64-VC14:
OCCT
Total CPU difference: 19272.796875 / 19429.1875 [-0.80%]
Products
Total CPU difference: 13712.859375 / 13755.5 [-0.31%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0097772)
git (administrator)
2020-12-19 15:22

Branch CR31944 has been deleted by inv.

SHA-1: 57af440d3b6ebd8bb2968b2205a2312f85dd92b3

- Related Changesets
occt: master 38b336df
Timestamp: 2020-10-31 19:58:22
Author: nds
Committer: bugmaster
Details ] Diff ]
0031944: Foundation Classes, Message_Report - add missing mutex locks for message level
mod - src/Message/Message_Report.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-11-17 13:20 nds New Issue
2020-11-17 13:20 nds Assigned To => nds
2020-12-15 21:03 git Note Added: 0097619
2020-12-16 08:20 git Note Added: 0097622
2020-12-16 08:23 nds Note Added: 0097623
2020-12-16 08:23 nds Assigned To nds => kgv
2020-12-16 08:23 nds Status new => resolved
2020-12-16 12:05 kgv Summary Foundation Classes - mutex for message level => Foundation Classes, Message_Report - add missing mutex locks for message level
2020-12-16 12:06 kgv Note Added: 0097632
2020-12-16 12:06 kgv Assigned To kgv => nds
2020-12-16 12:06 kgv Status resolved => assigned
2020-12-16 12:07 kgv Relationship added child of 0028786
2020-12-16 12:20 git Note Added: 0097635
2020-12-16 12:21 nds Note Added: 0097636
2020-12-16 12:21 nds Assigned To nds => kgv
2020-12-16 12:21 nds Status assigned => resolved
2020-12-16 13:50 kgv Assigned To kgv => bugmaster
2020-12-16 13:50 kgv Status resolved => reviewed
2020-12-16 13:50 kgv Product Version => 7.2.0
2020-12-19 14:49 bugmaster Note Added: 0097747
2020-12-19 14:49 bugmaster Status reviewed => tested
2020-12-19 14:57 bugmaster Test case number => Not required
2020-12-19 15:06 bugmaster Changeset attached => occt master 38b336df
2020-12-19 15:06 bugmaster Status tested => verified
2020-12-19 15:06 bugmaster Resolution open => fixed
2020-12-19 15:22 git Note Added: 0097772


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker